> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Authenticated] Update a group



## OpenAPI

````yaml /openapi/tenant.json put /api/v2/community/groups/{groupId}
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/community/groups/{groupId}:
    put:
      tags:
        - Group
      summary: '[Authenticated] Update a group'
      operationId: UpdateGroup
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Community.Group.Application.Requests.Authenticated.UpdateGroup.UpdateGroupRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Community.Group.Application.Requests.Authenticated.UpdateGroup.UpdateGroupRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        rawDescription:
          type: string
          nullable: true
        isPrivate:
          type: boolean
        icon:
          type: string
          nullable: true
        coverUrl:
          type: string
          nullable: true
        addNewUsers:
          type: boolean
        spaceId:
          type: string
          format: uuid
          nullable: true
        onlyModeratorsCanPost:
          type: boolean
        noAccessRedirectUrl:
          type: string
          nullable: true
        hasFeed:
          type: boolean
        hasChat:
          type: boolean
        allowedBadges:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        hasEvents:
          type: boolean
        showPostsInFeed:
          type: boolean
        removeMembersWithoutBadges:
          type: boolean
        isSecret:
          type: boolean
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````